Bug 140067 - [Linux] SeccompFilters: whitelist all NPAPI plugin directories
Summary: [Linux] SeccompFilters: whitelist all NPAPI plugin directories
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Michael Catanzaro
URL:
Keywords:
Depends on: 140066
Blocks: 110014 140068
  Show dependency treegraph
 
Reported: 2015-01-04 19:25 PST by Michael Catanzaro
Modified: 2015-07-15 03:03 PDT (History)
5 users (show)

See Also:


Attachments
Patch (11.77 KB, patch)
2015-01-04 19:35 PST, Michael Catanzaro
no flags Details | Formatted Diff | Diff
[Linux] SeccompFilters: whitelist all NPAPI plugin directories (11.81 KB, patch)
2015-03-23 15:56 PDT, Michael Catanzaro
no flags Details | Formatted Diff | Diff
[Linux] SeccompFilters: whitelist all NPAPI plugin directories (11.30 KB, patch)
2015-07-13 08:34 PDT, Michael Catanzaro
no flags Details | Formatted Diff | Diff
Patch (11.22 KB, patch)
2015-07-14 12:09 PDT, Michael Catanzaro
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Catanzaro 2015-01-04 19:25:37 PST
Whitelist all directories that we search for NPAPI plugins.
Comment 1 Michael Catanzaro 2015-01-04 19:35:45 PST
Created attachment 243954 [details]
Patch
Comment 2 Michael Catanzaro 2015-03-23 15:56:55 PDT
Created attachment 249295 [details]
[Linux] SeccompFilters: whitelist all NPAPI plugin directories
Comment 3 Michael Catanzaro 2015-07-13 08:34:17 PDT
Created attachment 256703 [details]
[Linux] SeccompFilters: whitelist all NPAPI plugin directories
Comment 4 Michael Catanzaro 2015-07-14 07:35:42 PDT
Comment on attachment 256703 [details]
[Linux] SeccompFilters: whitelist all NPAPI plugin directories

(Looks like I need to update the copyright years in this patch.)
Comment 5 Zan Dobersek 2015-07-14 08:36:53 PDT
Comment on attachment 256703 [details]
[Linux] SeccompFilters: whitelist all NPAPI plugin directories

View in context: https://bugs.webkit.org/attachment.cgi?id=256703&action=review

> Source/WebKit2/Shared/Plugins/unix/PluginSearchPath.cpp:37
> +    Vector<String> result;

This could be static, with the method returning a reference to the object, but it's not terribly important since it probably doesn't get called frequently.
Comment 6 Michael Catanzaro 2015-07-14 12:09:06 PDT
Created attachment 256784 [details]
Patch
Comment 7 WebKit Commit Bot 2015-07-14 13:07:22 PDT
Comment on attachment 256784 [details]
Patch

Clearing flags on attachment: 256784

Committed r186810: <http://trac.webkit.org/changeset/186810>
Comment 8 WebKit Commit Bot 2015-07-14 13:07:25 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Michael Catanzaro 2015-07-14 13:09:24 PDT
(In reply to comment #5)
> > Source/WebKit2/Shared/Plugins/unix/PluginSearchPath.cpp:37
> > +    Vector<String> result;
> 
> This could be static, with the method returning a reference to the object,
> but it's not terribly important since it probably doesn't get called
> frequently.

Ahhh, missed that comment, I can do it in a follow-up.
Comment 10 Michael Catanzaro 2015-07-14 13:18:56 PDT
(In reply to comment #9)
> Ahhh, missed that comment, I can do it in a follow-up.

I think I slightly prefer to not make it a static reference, since it's thread-safe this way. Also so that we don't have to change PluginInfoStore::pluginsDirectories (for us and for the Mac port) where it would otherwise get copied.
Comment 11 Zan Dobersek 2015-07-15 03:03:13 PDT
(In reply to comment #10)
> (In reply to comment #9)
> > Ahhh, missed that comment, I can do it in a follow-up.
> 
> I think I slightly prefer to not make it a static reference, since it's
> thread-safe this way. Also so that we don't have to change
> PluginInfoStore::pluginsDirectories (for us and for the Mac port) where it
> would otherwise get copied.

OK, not a big issue.